Skip to main content
POST
/
v3
/
async
/
vidu-q2-pro-multiframe
VIDU Q2 Pro Multi-frame to Video
curl --request POST \
  --url https://api.novita.ai/v3/async/vidu-q2-pro-multiframe \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "wm_url": "<string>",
  "payload": "<string>",
  "meta_data": "<string>",
  "watermark": true,
  "resolution": "<string>",
  "start_image": "<string>",
  "wm_position": "<string>",
  "image_settings": [
    {
      "prompt": "<string>",
      "duration": 123,
      "key_image": "<string>"
    }
  ]
}
'
import requests

url = "https://api.novita.ai/v3/async/vidu-q2-pro-multiframe"

payload = {
"wm_url": "<string>",
"payload": "<string>",
"meta_data": "<string>",
"watermark": True,
"resolution": "<string>",
"start_image": "<string>",
"wm_position": "<string>",
"image_settings": [
{
"prompt": "<string>",
"duration": 123,
"key_image": "<string>"
}
]
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
wm_url: '<string>',
payload: '<string>',
meta_data: '<string>',
watermark: true,
resolution: '<string>',
start_image: '<string>',
wm_position: '<string>',
image_settings: [{prompt: '<string>', duration: 123, key_image: '<string>'}]
})
};

fetch('https://api.novita.ai/v3/async/vidu-q2-pro-multiframe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
VIDU Q2 Pro multi-frame to video API, generates high-quality coherent video content from multiple keyframe images.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

wm_url
string
Watermark image URL. Uses default watermark if enabled but not provided. Ignored if watermark is false.
payload
string
Pass-through parameter. No processing, only data transmission. Maximum 1048576 characters.
meta_data
string
Metadata identifier in JSON format string. Transparent field.
watermark
boolean
default:false
Whether to add watermark. true: add watermark; false: no watermark. Default is no watermark.
resolution
string
default:"720p"
Video resolution. Default is 720p.Optional values: 540p, 720p, 1080p
start_image
string
required
First frame image. Supports Base64 encoding or image URL. Only 1 image supported. Supports png, jpeg, jpg, webp formats. Image ratio should be less than 1:4 or 4:1. Maximum size 50 MB.
wm_position
string
default:"bottom_left"
Watermark position. Default is bottom_left. Ignored if watermark is false.Optional values: top_left, top_right, bottom_right, bottom_left
image_settings
object[]
required
Keyframe configuration array, minimum 2 keyframes, maximum 9 keyframesArray length: 2 - 9

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on July 3, 2026